From 131cd7a637a168e3cb3a698031a8b297a148abdf Mon Sep 17 00:00:00 2001
From: Eygene Ryabinkin <rea-fbsd@codelabs.ru>
Date: Thu, 4 Dec 2008 09:44:23 +0300
Subject: [PATCH] psm(4): rephrase explanations about Synaptics support

The previous explanation said 'at boot-time' and could be a bit unclear
to people who aren't very familiar with the kenv, loader.conf and the
company.  Explicit words about /boot/loader.conf and the need for
rebooting are a bit better ;))

Signed-off-by: Eygene Ryabinkin <rea-fbsd@codelabs.ru>
---
 share/man/man4/psm.4 |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

diff --git a/share/man/man4/psm.4 b/share/man/man4/psm.4
index 15ee8e4..3b4268e 100644
--- a/share/man/man4/psm.4
+++ b/share/man/man4/psm.4
@@ -353,10 +353,15 @@ Extended support for Synaptics touchpads can be enabled by setting
 .Va hw.psm.synaptics_support
 to
 .Em 1
-at boot-time.
+in
+.Pa /boot/loader.conf
+or setting it at the boot time via the
+.Xr loader 8
+command line.
 This will enable
 .Nm
 to handle packets from guest devices (sticks) and extra buttons.
+Reboot is needed to activate the handling of Synaptics touchpads.
 .Sh IOCTLS
 There are a few
 .Xr ioctl 2
@@ -840,6 +845,8 @@ Clicking any button without moving the mouse may also work.
 .Xr mouse 4 ,
 .Xr mse 4 ,
 .Xr sysmouse 4 ,
+.Xr loader.conf 5 ,
+.Xr loader 8 ,
 .Xr moused 8 ,
 .Xr syslogd 8
 .Rs
-- 
1.6.0.4


